package com.logicbig.example;

import org.springframework.beans.MutablePropertyValues;
import org.springframework.format.support.DefaultFormattingConversionService;
import org.springframework.validation.BindingResult;
import org.springframework.validation.DataBinder;

import java.text.DateFormat;
import java.util.Locale;

public class CustomFormatAnnotationExample {

    public static void main(String[] args) {

        DefaultFormattingConversionService service =
                new DefaultFormattingConversionService();
        service.addFormatterForFieldAnnotation(
                new LocaleFormatAnnotationFormatterFactory());

        MyBean bean = new MyBean();
        DataBinder dataBinder = new DataBinder(bean);
        dataBinder.setConversionService(service);

        MutablePropertyValues mpv = new MutablePropertyValues();
        mpv.add("myLocale", "CYP");

        dataBinder.bind(mpv);

        Object target = dataBinder.getTarget();
        System.out.println(target);

        BindingResult bindingResult = dataBinder.getBindingResult();
        System.out.println(bindingResult);
        System.out.println(bean.getMyLocale().getDisplayName());
    }
}